<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация файлов');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 3) {
header('location:/');
die();
}
if ($b == false){
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Модерация файлов</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Модерация файлов<br/></div>';
if (isset($_GET['da'])) {
$file = DB::$dbs->queryFetch("SELECT * FROM `downs` WHERE `id` = ?", [abs((int)$_GET['da'])]);
DB::$dbs->query("UPDATE `downs` SET `mod` = ? WHERE `id` = ? LIMIT 1", [0,abs((int)$_GET['da'])]);

$raz = DB :: $dbs -> queryFetch("SELECT * FROM `down_r` WHERE `id` = ?", [$file['rid']]);
if ($raz['id'] == 6) {
$t = 2;
$tt = 8;
} elseif ($raz['id'] == 5) {
$t = 4;
$tt = 22;
} elseif ($raz['id'] == 1) {
$t = 2;
$tt = 13;
} else {
$t = 2;
$tt = 13;
}
if ($file['thema'] == 1) {
DB::$dbs->query("INSERT INTO forum_topic SET name = ?, user_id = ?, time = ?, rid = ?, prid = ?, last = ?", [$file['name'],$file['user_id'],time(),$t,$tt,time()]);
$tid = DB::$dbs->lastInsertId();
$infs = $file['info'].'<br/><br/>Обсуждение файла: [url=http://'.homeurl.'/downs/file.html?id='.$file['id'].']'.$file['name'].'[/url]';
DB::$dbs->query("INSERT INTO forum_mess SET text = ?, user_id = ?, time = ?, rid = ?, prid = ?, tid = ?", [$infs,$file['user_id'],time(),$t,$tt,$tid]);
}
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [1,$b['id']]);
$message = Nick($file['user_id']).' добавил <a href="/downs/file.html?id='.$file['id'].'">[новый файл]</a> в Файловый обменник!';
lenta($message);
$mess = 'Ваш файл <a href="/downs/file.html?id='.$file['id'].'">'.$file['name'].'</a> прошел модерацию!';
jurnal($file['user_id'],$mess,5);
header('location: ?');
die();
}
if (isset($_GET['no'])) {
$file = DB::$dbs->queryFetch("SELECT * FROM `downs` WHERE `id` = ?", [abs((int)$_GET['no'])]);
unlink('/'.$file['url']);
jurnal($file['user_id'], 'Ваш файл [b]'.$file['name'].'[/b] не прошел модерацию!', 5);
DB::$dbs->query("DELETE FROM `downs` WHERE `id` = ?", [abs((int)$_GET['no'])]);
header('location: ?');
die();
}
$total = DB::$dbs->querySingle("SELECT COUNT(id) FROM `downs` WHERE `mod` = ?", array(1));
if ($total == 0) echo '<div class="error">Файлов на модерации нет!</div>';
$sql = DB::$dbs->query("SELECT * FROM `downs` WHERE `mod` = ? ORDER BY `id` DESC",array(1));
while($a = $sql ->fetch()) {
$url = $_SERVER['DOCUMENT_ROOT'].'/'.$a['url'];
$raz = DB::$dbs->queryFetch("SELECT * FROM `down_r` WHERE `id` = ?", [$a['rid']]);
$praz = DB::$dbs->queryFetch("SELECT * FROM `down_pr` WHERE `id` = ?", [$a['prid']]);
echo '<div class="row text_box"><a href="/downs/file.php?id='.$a['id'].'"><i class="md-shuffle"></i>   '.$a['name'].'</a> (<a href="/downs/file.php?id='.$a['id'].'&down">скачать</a>)</br>Вес файла: '.get_size(filesize($url)).'<br/>Выгрузил: '.Nick($a['user_id']).'<br/>Категория: <a href="/downs/show_dir.html?id='.$raz['id'].'">'.$raz['name'].'</a> -> <a href="/downs/show_kat.html?id='.$praz['id'].'">'.$praz['name'].'</a><br/><i class="md-shuffle"></i> [<a href="?da='.$a['id'].'">Допустить</a>] [<a href="?no='.$a['id'].'">Отклонить</a>]</div>';
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>
